<template>
  <div>
    <PostComponent
      v-for="post of posts"
      :key="posts.indexOf(post)"
      :post="post"
    />
    <div class="bottom-spacing"></div>

  </div>
</template>

<script>
export default {
  data() {

  },
  async asyncData({app, $services, $links}){
    var i18n = app.i18n
    return {
          posts: [
            {
              thread: true,
              header: {
                avatar: require("~/assets/images/home-page/avatar-network.svg"),
              },
              layers: [
                {
                  type: "image",
                  image: require("~/assets/images/network-view/network-card.svg"),
                },
                {type: 'table-links', links: [
                  {text: i18n.t("Network")}
                ]},
                {type:'text', text: [
                  i18n.t('THORChain is a decentralized liquidity network operated by anonymous and public THORNodes.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("Node Operators"), link: $links('slash_node_operators')},
                  {text: i18n.t("Network Explorers"), link: $links('slash_network_explorers')},
                  {text: i18n.t("Incentive Pendulum"), link: $links('network_thorchain_docs_incentive_pendulum')},
                  {text: i18n.t("Emissions"), link: $links('network_thorchain_docs_emissions')},
                  {text: i18n.t("Schedule"), link: $links('network_google_docs_emission_schedule')},
                  {text: i18n.t("Fees"), link: $links('network_thorchain_docs_fees')},
                  {text: i18n.t("Prices"), link: $links('network_thorchain_docs_prices')},
                  {text: i18n.t("Governance"), link: $links('network_thorchain_docs_governance')},
                  {text: i18n.t("Name Service"), link: $links('slash_thornames')},
                ]},
              ],
              endLine: false,
            },
            {
              thread: true,
              header: {
                text: i18n.t("Which Interfaces Support THORfi"),
                avatar: require("~/assets/images/home-page/avatar-cursor.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('A variety of ecosystem interfaces support Liquidity Pooling and Synthetics. Discover the interface you\'re most comfortable-with.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("Interfaces"), link: $links('slash_interfaces')},
                ]},
              ]
            },
            {
              thread: false,
              header: {
                text: i18n.t("Is There a THORNode Community?"),
                avatar: require("~/assets/images/home-page/avatar-thorchain.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('No there isn\'t. THORNode operators are anonymous and rely on the update channels and GitLab repositories. THORNodes are advised against public signallingto avoid collusion or capture.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("Developer Discord"), link: $links('network_discord')}
                ]},
              ]
            }
          ]
    }
  }
}
</script>
<style>
.bottom-spacing{
  height: 5rem;
}
</style>
